# resources/resource_definitions/unit_matching_combat_tactic_range.gd
class_name UnitMatchingCombatTacticRange extends CombatTacticRange

func is_valid_range(distance: int, stats: DeployedUnitStats) -> bool:
	return distance <= stats.atk_range
